Subject: Re: Okay to change default zImage link/load address?

From: Geoff Levand <[email-masked]>
Date: Fri, 09 Feb 2007 11:34:05 -0800

Mark A. Greer wrote:
> On Fri, Feb 09, 2007 at 07:51:07PM +0100, Olaf Hering wrote:
>> On Fri, Feb 09, Mark A. Greer wrote:
>> 
>> > Does anyone know of a problem downloading to 8MB instead of 4MB in
>> > arch/powerpc?  If not, would you object if it changed to 8MB?
>> 
>> IBM chrp 32 and 64bit has a free and usable memory range from 64k to
>> 12M.
>> Changing the link address from 4 to 8 MB will reduce the max zImage size
>> to 3MB on these systems.
> 
> Hmm, not good.
> 
> Paul, may we may this configurable (i.e., a CONFIG option)?
 
To have zImage.lds.S use a config option you'll need to run it through
the preprocessor, which in general seems like a good thing.  Now we just
have this:

$(obj)/zImage.lds $(obj)/zImage.coff.lds: $(obj)/%: $(srctree)/$(src)/%.S
	@cp $< $@

-Geoff